---
title: GatsbyJS Blog Progress
slug: gatsby-site-progress
description: My current state of creating my new GatsbyJS blog website.
author: Rusty
date: 4-08-2021
post: blog
published: true
---

Sometime in March I decided to learn more of a programing language and it was either going to be Python or Javascript. I came accross GatsbyJS 
and this whole ideal of "static webpage generator". Gatsby is a platform based on Java Script and so using Java Script along with simple HTML 
you can have posts/pages auto generatored for you based on... what you want to be generated I suppose. 

In my case i'm going to be using .mdx files which are Mark Down text files. These files hold the content of my pages/posts along with Mark Down
sanytax. Gatsby can query that text and syntax to generate a page. Thats how I explain it at least. So at the time of creating this post, what 
you see is what I have so far. 

#### Plans
Here I will try to update my Gatsby expereince and plan for what I want to do next.

**_4/8/2021_** - What you see is what I have so far.

**_4/9/2021_** - Fixed blog posts meta data, cleaned some code, attempt to fix menu starting problem, add about and contact page, corrected 
the menu page highlight links.

Below is a example of a .mdx file which is this page currently. 

![Example MDX File](../images/mdx_code_example.png)

**_4/23/2021_** - Fixed some missspelling (i'm sure there is more), modified some of the index page menu code, site added to AWS and domain www.rustyyow.com 
is now pointing to Gatsby site, old word press site can still be found using www.techit.org.

**_9/10/2021_** - Changed the footer to look better and be smaller. Center the text.

#### What next
* Clean up all my code. Delete some stuff in CSS file, delete any unwanted spaces. 
* Customize some of the font colors, sizes, spacing, etc.
* Figure out image gallery/ablum for pages and posts.
* Check SEO code, make sure its being used properly across whole site.
* Image viewer within the page.
* ~~Move site to AWS and offically change out rustyyow.com for this site.~~
* Add tags for blog posts.
* Pretty up the posts page, date icon, Author icon.

